import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INImage } from "./INImage.js";
export declare class _INObject extends _NSObject {
    static alloc(): _INObject;
    static new(): _INObject;
    init(): _INObject;
    initWithIdentifier$displayString$pronunciationHint$(identifier: _NSString | null, displayString: _NSString, pronunciationHint: _NSString | null): _INObject;
    initWithIdentifier$displayString$(identifier: _NSString | null, displayString: _NSString): _INObject;
    initWithIdentifier$displayString$subtitleString$displayImage$(identifier: _NSString | null, displayString: _NSString, subtitleString: _NSString | null, displayImage: _INImage | null): _INObject;
    initWithIdentifier$displayString$pronunciationHint$subtitleString$displayImage$(identifier: _NSString | null, displayString: _NSString, pronunciationHint: _NSString | null, subtitleString: _NSString | null, displayImage: _INImage | null): _INObject;
    identifier(): _NSString | null;
    displayString(): _NSString;
    pronunciationHint(): _NSString | null;
    subtitleString(): _NSString | null;
    setSubtitleString$(value: _NSString | null): void;
    displayImage(): _INImage | null;
    setDisplayImage$(value: _INImage | null): void;
    alternativeSpeakableMatches(): _NSArray | null;
    setAlternativeSpeakableMatches$(value: _NSArray | null): void;
}
export interface _INObject extends _NSCopying, _NSSecureCoding {
}
